// Опишите своими словами как работает цикл forEach.

// Задание
// Реализовать функцию фильтра массива по указанному типу данных. 
// Технические требования:
// Написать функцию filterBy(), которая будет принимать в себя 2 
// аргумента. Первый аргумент - массив, который будет содержать в 
// себе любые данные, второй аргумент - тип данных.
// Функция должна вернуть новый массив, который будет содержать в 
// себе все данные, которые были переданы в аргумент, за исключением т
// ех, тип которых был передан вторым аргументом. То есть, если 
// передать массив ['hello', 'world', 23, '23', null], и вторым 
// аргументом передать 'string', то функция вернет массив [23, null].

function filter(arr, dataType) {
    return arr.filter((item) => typeof item !== dataType)
}

let arr = ['picture', 88, [1, '2',], null, {name:'Boogieman'}];
console.log(filter(arr, 'string'));

// Метод forEach() - используют для преребора массива. Методы вызывает для каждого
// элемента фукнцию callback. Метод ничего не возвращает, он просто служит 
// как более компактный код, чем цикл for.



